can't find libXm.so.3

can't find libXm.so.3

Post by Joe Harg » Fri, 10 Sep 1999 04:00:00



Greetings,

I am trying to run a genetics app (xgrail_1.3c) on my Solaris box.
When I try to run it from a command prompt, I get the error message
"ld.so.1: xgrail_1.3c: fatal: libXm.so.3: can't open file errno=2"

Does anyone know what I need to do to fix this?  I did a "find" on the
libXm.so.3 file, but it's not on my system.  Can it be downloaded? is
it a part of some patch?

I installed the Alpha version of this same app on an Alpha running
DUNIX 4.0d.  It runs great on that system.  Wish I could run it on the
Sun.  (I did download the Solaris version.....)

The Sun system in question is a SparcStation 5 running Solaris 2.4.

Thanks for any help,
Joe

 
 
 

can't find libXm.so.3

Post by Lorentz K. Bua » Sat, 11 Sep 1999 04:00:00


libXm  is the Motif library.
As far as I know , it should be included in Solaris.
But may not have been selected when you installed the OS.
I think you should search for it on yr CDs.
(the path must be included in yr LD_LIBRARY_PATH after installation)

> Greetings,

> I am trying to run a genetics app (xgrail_1.3c) on my Solaris box.
> When I try to run it from a command prompt, I get the error message
> "ld.so.1: xgrail_1.3c: fatal: libXm.so.3: can't open file errno=2"

> Does anyone know what I need to do to fix this?  I did a "find" on the
> libXm.so.3 file, but it's not on my system.  Can it be downloaded? is
> it a part of some patch?

> I installed the Alpha version of this same app on an Alpha running
> DUNIX 4.0d.  It runs great on that system.  Wish I could run it on the
> Sun.  (I did download the Solaris version.....)

> The Sun system in question is a SparcStation 5 running Solaris 2.4.

> Thanks for any help,
> Joe


 
 
 

can't find libXm.so.3

Post by Casper H.S. Dik - Network Security Engine » Sat, 11 Sep 1999 04:00:00


[[ PLEASE DON'T SEND ME EMAIL COPIES OF POSTINGS ]]


>Greetings,
>I am trying to run a genetics app (xgrail_1.3c) on my Solaris box.
>When I try to run it from a command prompt, I get the error message
>"ld.so.1: xgrail_1.3c: fatal: libXm.so.3: can't open file errno=2"
>Does anyone know what I need to do to fix this?  I did a "find" on the
>libXm.so.3 file, but it's not on my system.  Can it be downloaded? is
>it a part of some patch?

It's part of the base OS.  (for any version of base os more recent than
2.4)

/usr/dt/lib/libXm.so.3 is in package SUNWmfrun
system      SUNWmfrun      Motif RunTime Kit

Casper
--
Expressed in this posting are my opinions.  They are in no way related
to opinions held by my employer, Sun Microsystems.
Statements on Sun products included here are not gospel and may
be fiction rather than truth.

 
 
 

1. Mosaic: can't find library 'libXm.so.1'

I try to install Mosaic 2.4 (Mosaic-2.4.linux.tar.gz) binaries on Slackware 2 and
connect to the Internet means PPP.

Result:

% Mosaic
Mosaic: can't find library 'libXm.so.1'

It is possible to copy Motif libraries?

Thanks

Ciao

---

Stefano Klett

                                ___
                               (' ')
---------------------------oOO--(_)--OOo------------------------------------
Stefano Klett                                 phone:  +41 91 50 82 15
CSCS (Centro Svizzero di Calcolo Scientifico) fax:    +41 91 50 67 11

CH-6928 Manno (Switzerland)                   X.400:  S=sklett O=cscs
                                                      P=switch A=arcom C=ch
----------------------------------------------------------------------------

2. NT vs. $olaris

3. mpeg_play: can't find library 'libXm.so.2'

4. question about ufs logging, dual-boot scenario

5. Can't find libXm.so.2

6. Linux as Router

7. Can't find libXm.so.1.2?

8. root logins from ttya, ttyb

9. Papyrus and DDD can't find libXm.so.2

10. Mosaic:"Can't find libXm.so.1"

11. Can't find libXm.so.2

12. libXm.so.2 and libXm.so.0

13. libXm.so.2 ? libXm.so.1.2 ??